Bug 433697 - only 5 of 8 brightness levels are available
only 5 of 8 brightness levels are available
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Lenny Szubowicz
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 16:48 EST by Cameron Meadors
Modified: 2013-08-15 08:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 08:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from 2.6.25 (2.02 KB, patch)
2008-05-14 14:54 EDT, Matthew Garrett
no flags Details | Diff

  None (edit)
Description Cameron Meadors 2008-02-20 16:48:39 EST
Description of problem:

If I change the brightness with the acpi keys on a t60w, I see 4 levels of
brightness but the UI indicates 7 levels of brightness.

Version-Release number of selected component (if applicable):

gnome-power-manager-2.16.0-9.el5

How reproducible:

Everytime

Steps to Reproduce:
1.Increase the brightness to the max
2.Decrease the brightness and count the brightness levels until brightness stops
changing
3.continue to decrease until the gui shows that it is at the dimmest setting.
  
Actual results:
4 levels observable, 7 levels indicated by gui

Expected results:

Number brightness levels should match in the gui and observable(actual).

Additional info:
Comment 1 Cameron Meadors 2008-02-22 11:05:07 EST
# cat /proc/acpi/video/VID/LCD0/brightness 
levels:  100 30 30 40 50 60 70 80 90 100
current: 100

So I guess the correct number of levels is 7, but I only see 5 (not 4 as I said
earlier) levels of brightness.  If I step through the levels and then look at
/proc/acpi/video/VID/LCD0/brightness, these are the levels:

Going up:
30
40
60
80
100

Going down:
100
90
70
50
30
Comment 2 RHEL Product and Program Management 2008-02-25 10:27:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2008-03-11 15:36:05 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 4 Matthew Garrett 2008-05-14 14:53:32 EDT
I suspect that this is down to the rounding code used in gnome-power-manager
interacting poorly with the ACPI backlight driver's tendancy to export a
discontiguous list of brightnesses. This was fixed in 2.6.25.
Comment 5 Matthew Garrett 2008-05-14 14:54:18 EDT
Created attachment 305394 [details]
Patch from 2.6.25

This patch flattens the list of exported ACPI brightness values in order to
make it practical for userspace to know which values are valid.
Comment 6 Matthew Garrett 2009-11-10 12:05:20 EST
Actually, that's not the issue - we don't have backlight class support in our ACPI video driver. So this is clearly a g-p-m problem.
Comment 7 Richard Hughes 2009-11-11 06:07:32 EST
Won't g-p-m be invoking hal, which will be poking /proc/acpi/ibm/brightness in this case?
Comment 8 Richard Hughes 2010-07-22 11:52:36 EDT
Given that HAL is just poking values into /proc/acpi/ibm/brightness in 5.5, I'll reassign to the kernel guys to comment on.
Comment 10 RHEL Product and Program Management 2010-12-07 04:49:58 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.6 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 11 RHEL Product and Program Management 2011-06-20 17:08:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 12 RHEL Product and Program Management 2012-01-09 08:49:19 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.8 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 13 RHEL Product and Program Management 2012-10-30 01:48:04 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 14 Lenny Szubowicz 2013-08-15 08:30:35 EDT
Given how long this problem has gone unresolved, it's low severity, and the lifecycle stage that RHEL 5 is currently in, the problem reported will not be fixed in RHEL 5.

                                   -Lenny.

Note You need to log in before you can comment on or make changes to this bug.